%global     detectorver 1.1

Name:           unar
Version:        1.10.8
Release:    1%{?dist}
Summary:        Multi-format extractor
License:        LGPLv2+
URL:            https://theunarchiver.com/command-line
Source0:        https://github.com/MacPaw/XADMaster/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/MacPaw/universal-detector/archive/%{detectorver}/universal-detector-%{detectorver}.tar.gz
BuildRequires:  bzip2-devel
BuildRequires:  gcc-objc
BuildRequires:  gcc-c++
BuildRequires:  gnustep-base-devel
BuildRequires:  pkgconfig(icu-uc)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(wavpack)

%description
The command-line utilities lsar and unar are capable of listing and extracting
files respectively in several formats including RARv5, RAR support includes
encryption and multiple volumes, unar can serve as a free and open source
replacement of unrar.

%prep
%setup -q -c
tar -xf %{SOURCE1}
mv universal-detector-%{detectorver} UniversalDetector
rm -fr __MACOSX The\ Unarchiver
find . -type f -print0 | xargs -0 chmod -x

%build
%define _lto_cflags %{nil}
export OBJCFLAGS="%{optflags}"
make -C XADMaster-%{version} -f Makefile.linux \

%install
pushd XADMaster-%{version}
install -d %{buildroot}%{_bindir}
install -pm755 unar lsar %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man1
install -pm644 Extra/*.1 %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_datadir}/bash-completion/completions
install -pm644 Extra/lsar.bash_completion %{buildroot}%{_datadir}/bash-completion/completions/lsar
install -pm644 Extra/unar.bash_completion %{buildroot}%{_datadir}/bash-completion/completions/unar
popd

%files
%license XADMaster-%{version}/LICENSE
%{_bindir}/lsar
%{_bindir}/unar
%{_mandir}/man1/*.1*
%{_datadir}/bash-completion/completions/*

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.8-1
- initial build
